* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

:root {
  --blue: #007bff;
  --indigo: #6610f2;
  --purple: #6f42c1;
  --pink: #e83e8c;
  --red: #dc3545;
  --orange: #fd7e14;
  --yellow: #ffc107;
  --green: #28a745;
  --teal: #20c997;
  --cyan: #17a2b8;
  --white: #fff;
  --gray: #6c757d;
  --gray-dark: #343a40;
  --primary: #007bff;
  --secondary: #6c757d;
  --success: #28a745;
  --info: #17a2b8;
  --warning: #ffc107;
  --danger: #dc3545;
  --light: #f8f9fa;
}

html {
  scroll-behavior: smooth;
}

body {
  width: 100%;
  overflow-x: hidden;
}

/*end global rules*/
/*start head top*/
@media (max-width: 991px) {
  .head-top {
    width: 100%;
    background-color: #030e27;
  }
  .head-top .container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  .head-top .head-links {
    padding-bottom: 15px;
    padding-top: 15px;
  }
}

/*end head top*/
/*start head mid*/
@media (max-width: 991px) {
  .head-content {
    display: inline;
  }
  .head-content .brand {
    width: 90%;
    display: block;
    margin: auto;
    padding-bottom: 30px;
    border-bottom: 2px solid #ddd;
  }
  .head-content .brand img {
    display: block;
    margin: auto;
  }
  .head-content .phone, .head-content .open, .head-content .mail {
    padding-top: 15px;
  }
}

/*end head mid*/
/*start navbar*/
@media (min-width: 992px) {
  .mob-item {
    display: none;
  }
}

@media (max-width: 991px) {
  .nav-item {
    display: none;
  }
  .search-mob-icon {
    position: absolute;
    z-index: 999999;
    color: #fff;
    font-size: 20px;
    left: 160px;
    bottom: 25px;
    transition: .6s;
  }
  .search-mob-icon:hover {
    color: #ffc107;
  }
  .search-mob-filed {
    position: absolute;
    left: 70px;
    top: 90px;
    background-color: #343a40;
    padding: 25px 10px;
    border-radius: 10px;
    display: none;
  }
  .search-mob-filed #mob-search {
    width: 75%;
    height: 40px;
    padding-left: 5px;
    margin: 0px 10px;
    border-radius: 5px;
    outline: transparent;
    border: 2px solid #ddd;
    transition: .6s;
  }
  .search-mob-filed #mob-search:hover, .search-mob-filed #mob-search:focus {
    border-color: #fd7e14;
  }
  .search-mob-filed a {
    font-size: 16px;
    color: #28a745;
    padding-right: 5px;
    padding-right: 5px;
    margin: auto;
  }
  .mob-bars {
    color: #fff;
    font-size: 24px;
    margin: 25px;
    transition: .6s;
    cursor: pointer;
  }
  .mob-bars:hover {
    color: #fd7e14;
  }
}

/*end navbar*/
/*start mobile menu*/
@media (min-width: 992px) {
  .mobile-menu {
    display: none;
  }
}

@media (max-width: 991px) {
  .mobile-menu {
    position: fixed;
    z-index: 99999999999;
    width: 300px;
    height: 100%;
    overflow-y: auto;
    top: 0;
    right: -300px;
    background-color: black;
  }
  .mobile-menu .brand-img {
    position: relative;
    border-bottom: 1px solid #fff;
    padding: 15px 0px;
  }
  .mobile-menu .brand-img a {
    position: absolute;
    right: 15px;
    top: 25px;
    color: #fff;
    font-size: 14px;
    border: 1px solid #fff;
    padding: 4px 6px;
    transition: .9s;
  }
  .mobile-menu .brand-img a:hover {
    transform: rotate(360deg);
  }
  .mobile-menu .brand-img img {
    margin: 10px;
  }
  .mob-nav .home-link, .mob-nav .services-link, .mob-nav .pages-link, .mob-nav .element-link, .mob-nav .contact-link, .mob-nav .blog-link {
    text-transform: uppercase;
    letter-spacing: 1px;
    color: #fff;
    font-size: 16px;
    font-family: 'Amiri',serif;
    transition: .6s;
  }
  .mob-nav .home-link:hover, .mob-nav .services-link:hover, .mob-nav .pages-link:hover, .mob-nav .element-link:hover, .mob-nav .contact-link:hover, .mob-nav .blog-link:hover {
    color: #fd7e14;
  }
  .mob-nav .home-link.active, .mob-nav .active.services-link, .mob-nav .active.pages-link, .mob-nav .active.element-link, .mob-nav .active.contact-link, .mob-nav .active.blog-link {
    color: #fd7e14;
  }
  .mob-nav .drop-icon, .mob-nav .serv-icon, .mob-nav .pages-icon, .mob-nav .element-icon, .mob-nav .blog-icon {
    font-size: 16px;
    color: #fff;
    border: 1px solid #777;
    background-color: #777;
    padding: 2px 8px;
    position: absolute;
    right: 10px;
  }
  .mob-nav .mob-link {
    width: 100%;
    display: block;
    position: relative;
    padding: 15px 0px;
    margin-left: -10px;
    border-bottom: 1px solid #777;
  }
  .mob-nav .home-mob-menu, .mob-nav .services-mob-menu, .mob-nav .pages-mob-menu, .mob-nav .element-mob-menu, .mob-nav .blog-mob-menu {
    position: relative;
    margin-top: 5px;
    left: -25px;
    display: none;
  }
  .mob-nav .home-mob-menu li, .mob-nav .services-mob-menu li, .mob-nav .pages-mob-menu li, .mob-nav .element-mob-menu li, .mob-nav .blog-mob-menu li {
    width: 240px;
    padding: 15px 0px;
    transition: .6s;
  }
  .mob-nav .home-mob-menu li:hover, .mob-nav .services-mob-menu li:hover, .mob-nav .pages-mob-menu li:hover, .mob-nav .element-mob-menu li:hover, .mob-nav .blog-mob-menu li:hover,
  .mob-nav .home-mob-menu li:hover a, .mob-nav .services-mob-menu li:hover a, .mob-nav .pages-mob-menu li:hover a, .mob-nav .element-mob-menu li:hover a, .mob-nav .blog-mob-menu li:hover a {
    padding-left: 10px;
    color: #fd7e14;
  }
  .mob-nav .home-mob-menu li:not(:last-child), .mob-nav .services-mob-menu li:not(:last-child), .mob-nav .pages-mob-menu li:not(:last-child), .mob-nav .element-mob-menu li:not(:last-child), .mob-nav .blog-mob-menu li:not(:last-child) {
    border-bottom: 1px solid #777;
  }
  .mob-nav .home-mob-menu li a, .mob-nav .services-mob-menu li a, .mob-nav .pages-mob-menu li a, .mob-nav .element-mob-menu li a, .mob-nav .blog-mob-menu li a {
    text-transform: capitalize;
    letter-spacing: 1px;
    color: #fff;
    font-size: 15px;
    transition: .6s;
    font-family: 'Amiri',serif;
  }
  .social-home {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-right: 25px;
    margin-top: 30px;
  }
  .social-home a {
    color: #798795;
    font-size: 18px;
    padding-right: 10px;
    padding-left: 10px;
    transition: .6s;
  }
  .social-home a:hover {
    color: #007bff;
  }
}

/*end mobile menu*/
/*start home slider*/
@media (max-width: 991px) {
  .home-slider .home-image .slider-text {
    position: absolute;
    z-index: 999;
    top: 25%;
    left: 10%;
    width: 80%;
  }
  .home-slider .home-image .slider-text h3 {
    font-size: 36px;
  }
}

/*end home slider*/
/*start services*/
@media (max-width: 1199px) {
  .services {
    padding-top: 135vh;
  }
  .company-btn {
    margin-top: 60px;
  }
}

@media (max-width: 991px) {
  .services {
    padding-top: 135vh;
  }
  .company-btn {
    margin-top: 20px;
  }
}

@media (max-width: 767px) {
  .services {
    padding-top: 135vh;
  }
}

@media (max-width: 600px) {
  .services {
    padding-top: 135vh;
  }
}

@media (max-width: 400px) {
  .services {
    padding-top: 135vh;
  }
}

/*end services*/
/*start about*/
@media (max-width: 991px) {
  .about .about-text {
    padding-left: 5px;
    padding-bottom: 30px;
  }
  .about .about-text h5 {
    font-size: 16px;
    color: #ffc107;
    text-transform: capitalize;
    letter-spacing: 1px;
    font-family: 'Amiri',serif;
  }
  .about .about-text h3 {
    color: black;
    font-weight: bold;
    font-size: 28px;
    text-transform: capitalize;
    letter-spacing: 1.2px;
  }
  .about .about-text h3 span {
    color: #ffc107;
    letter-spacing: 1.6px;
  }
  .about .about-text h3 span small {
    font-size: 16px;
    color: #fff;
    background-color: #ffc107;
    padding: 6px;
    border-radius: 10px;
  }
  .about .about-text p {
    color: #6c757d;
    text-transform: capitalize;
    padding-top: 30px;
    line-height: 30px;
  }
  .about .about-text img {
    margin-top: 25px;
  }
  .about .about-img-one::before {
    content: '';
    position: absolute;
    z-index: 9999;
    width: 10px;
    height: 100%;
    background-color: #fd7e14;
    right: -15px;
    display: none;
  }
  .about .about-img-one::after {
    content: '';
    position: absolute;
    z-index: 9999;
    width: 40%;
    height: 10px;
    background-color: #fd7e14;
    right: -15px;
    bottom: 0px;
    display: none;
  }
  .about .about-images .about-img-one img {
    width: 80%;
  }
  .about .about-images .about-img-three {
    right: -10px;
    width: 90%;
    display: none;
  }
}

/*end about*/
/*start services*/
/*end services*/
/*start event count*/
@media (max-width: 1199px) {
  .event-count {
    margin-top: 20vh;
  }
}

@media (max-width: 991px) {
  .event-count {
    margin-top: 300vh;
  }
}

@media (max-width: 767px) {
  .event-count {
    margin-top: 212vh;
  }
}

@media (max-width: 550px) {
  .event-count {
    margin-top: 175vh;
    transform: translateY(80px);
    margin-bottom: 50px;
  }
  .counter {
    width: 50%;
    display: block;
    margin: auto;
  }
}

@media (max-width: 450px) {
  .event-count {
    margin-top: 100vh;
  }
  .counter {
    width: 50%;
    display: block;
    margin: auto;
  }
}

@media (max-width: 380px) {
  .event-count {
    margin-top: 120vh;
  }
  .counter {
    width: 50%;
    display: block;
    margin: auto;
  }
}

/*end event count*/
/*start portfolio*/
@media (max-width: 991px) {
  .portfolio {
    padding: 60px 0px;
    width: 100%;
    height: 100vh;
  }
  .portfolio .portfolio-card {
    display: block;
    margin: auto;
    margin-left: 0;
    width: 100%;
  }
}

@media (max-width: 767px) {
  .portfolio {
    padding: 60px 0px;
    width: 100%;
    height: 330vh;
    margin-bottom: 40px;
  }
  .portfolio .portfolio-card {
    display: block;
    margin: auto;
    margin-left: 0;
  }
}

@media (max-width: 540px) {
  .portfolio {
    padding: 60px 0px;
    width: 100%;
    height: 300vh;
    margin-bottom: 40px;
  }
  .portfolio .portfolio-card {
    display: block;
    margin: auto;
    margin-left: 0;
  }
}

@media (max-width: 400px) {
  .portfolio {
    padding: 60px 0px;
    width: 100%;
    height: 210vh;
    margin-bottom: 80px;
  }
  .portfolio .portfolio-card {
    display: block;
    margin: auto;
    margin-left: 0;
  }
}

/*end portfolio*/
/*testimonials*/
@media (max-width: 991px) {
  .testimonials .testimonial-banner {
    background-color: #ffc107;
    color: #fff;
    padding-top: 50px;
    padding-bottom: 100px;
    padding-left: 50px;
  }
  .testimonials .testimonial-banner p {
    font-size: 14px;
  }
  .testimonials .testimonial-banner h3 {
    font-size: 38px;
    line-height: 40px;
    font-weight: bold;
    font-family: 'Amiri',serif;
    padding-left: 10px;
  }
  .testimonials .testimonial-text {
    width: 100%;
    text-align: center;
  }
  .tesimonial-slider {
    width: 100%;
    margin-right: 0%;
    margin-top: 2%;
  }
}

/*end testimonials*/
@media (max-width: 767px) {
  .testimonials .testimonial-banner {
    background-color: #ffc107;
    color: #fff;
    padding-top: 50px;
    padding-bottom: 100px;
    padding-left: 50px;
  }
  .testimonials .testimonial-banner p {
    font-size: 14px;
  }
  .testimonials .testimonial-banner h3 {
    font-size: 38px;
    line-height: 40px;
    font-weight: bold;
    font-family: 'Amiri',serif;
    padding-left: 10px;
  }
  .testimonials .testimonial-text {
    width: 100%;
    text-align: center;
  }
}

/*end testimonials*/
/*start brand*/
@media (max-width: 991px) {
  .brand .brand-logo {
    position: relative;
    display: block;
    margin: auto;
    margin-left: 25%;
    margin-top: 35px;
  }
}

/*end brand*/
